@echo off

if x%1 == x goto end

set T3XDIR=%1

mkdir %1
mkdir %1\bin
mkdir %1\classes
mkdir %1\lib
mkdir %1\doc

echo char:>..\classes\char.ndx
echo iostream:>..\classes\iostream.ndx
echo memory:>..\classes\memory.ndx
echo string:>..\classes\string.ndx
echo system:>..\classes\system.ndx
echo ttyctl:>..\classes\ttyctl.ndx
echo xmem:>..\classes\xmem.ndx
echo remove-me:>%1\classes\CLASSNDX

copy ..\Boot\txx.exe %1\bin\txx.exe
copy ..\Boot\txx.exe %1\bin\txx3.exe

copy ..\compiler\txdpf.exe %1\bin
copy ..\compiler\txld.exe %1\bin
copy ..\compiler\txopt.exe %1\bin
copy ..\compiler\txtrn.exe %1\bin

copy ..\compiler\t3x.dir %1\classes
copy ..\compiler\tcode.dir %1\classes
copy ..\classes\tcode.cls %1\classes
cd ..\classes
..\tools\txcm -i char
..\tools\txcm -i iostream
..\tools\txcm -i memory
..\tools\txcm -i string
..\tools\txcm -i system
..\tools\txcm -i ttyctl
..\tools\txcm -i xmem
cd ..\compiler

copy ..\native\txcgexe.exe %1\bin\txcgexe.exe
copy ..\native\txcgexe.exe %1\bin\txcg86.exe
copy ..\native\s86.exe %1\bin\s86.exe
copy ..\native\t3x.lib %1\lib

copy ..\tools\tx.exe %1\bin\tx.exe
copy ..\tools\tx.exe %1\bin\tx6.exe
copy ..\tools\txcm.exe %1\bin\txcm.exe
copy ..\tools\txdump.exe %1\bin\txdump.exe
copy ..\tools\txprint.exe %1\bin\txprint.exe
copy ..\tools\txprint.rules %1\txprint.rules
copy ..\tools\thelp.exe %1\bin\thelp.exe
copy ..\tools\txpc.exe %1\bin\txpc.exe

copy ..\docs\README %1\doc
copy ..\docs\README.docs %1\doc
copy ..\docs\BOOT.HOWTO %1\doc
copy ..\docs\Changes %1\doc
copy ..\docs\FAQ %1\doc
copy ..\docs\KNOWNBUGS %1\doc
copy ..\docs\LICENSE %1\doc
copy ..\docs\*.html %1\doc
copy ..\docs\*.sd %1\doc
copy ..\docs\sdv-config %1\doc

copy ..\DOS\txrc %1\system.txrc
copy ..\DOS\ux.bat %1\bin\ux3.bat

echo.
echo Don't forget to define T3XDIR = %1
echo.

:end
