BEGIN	{
	FS="\t"
	opc = 1
	print "module tcode();\n\npublic class tcode()" >"tcode.t"
	print "\t! The Tcode3 Instruction Set" >"tcode.t"
	print "/* The Tcode3 Instruction Set */" >"tcode.h"
	}

	{
	if ($1 != "") {
		if ($3 == "-")
			printf "\tpublic const\tI%s\t= 0x%02X;\t! - %s\n", \
				$1, opc + ($2!=0? 128: 0), $4 >>"tcode.t"
		else
			printf "\tpublic const\tI%s\t= 0x%02X;\t! %s - %s\n", \
				$1, opc + ($2!=0? 128: 0), $3, $4 >>"tcode.t"
		if ($3 == "-")
			printf "#define\tI%s\t0x%02X\t/* - %s */\n", \
				$1, opc + ($2!=0? 128: 0), $4 >>"tcode.h"
		else
			printf "#define\tI%s\t0x%02X\t/* %s - %s */\n", \
				$1, opc + ($2!=0? 128: 0), $3, $4 >>"tcode.h"
		opc++
	}
	}

END	{
	printf "\tpublic const\tIENDOFSET=0x%02X;\nend\n\ndo\nend\n", opc \
		>>"tcode.t"
	printf "#define\tIENDOFSET\t%d\n", opc >>"tcode.h"
	}
