@echo off

set SET=r6

if "%2" == "" goto ok
echo Usage: Config [{'r6','boot',custom}]
goto quit

:ok

if "%1" == "" goto dflt
set SET=%1

:dflt
if exist Mk-%SET% goto ok2
echo No such configuration: %SET%
goto quit

:ok2

REM fix symlinks

copy ..\docs\LICENSE ..\LICENSE
copy ..\docs\README ..\README
mkdir ..\lib
copy ..\Common.unix\libt3x.c libt3x.c

REM convert C source files to DOS text (CR,LF) format

crlf <libshl.c >_
copy _ libshl.c
crlf <libt3x.c >_
copy _ libt3x.c
crlf <..\compiler\tcode.h >_
copy _ ..\compiler\tcode.h
crlf <..\compiler\txx.c >_
copy _ ..\compiler\txx.c
crlf <..\compiler\txx.h >_
copy _ ..\compiler\txx.h
del _

copy Mk-%SET% ..\compiler\Makefile
copy Mk-%SET%.classes ..\classes\Makefile
copy Mk-%SET%.native ..\native\Makefile
copy Mk-%SET%.tools ..\tools\Makefile

:quit
set SET=
